glicthtip 2.4.5 on debian 12 bookworm
=======================================


## python 3.13

```shell
apt update && apt upgrade -y
apt install wget build-essential libreadline-dev libncursesw5-dev libssl-dev libsqlite3-dev tk-dev libgdbm-dev libc6-dev libbz2-dev libffi-dev zlib1g-dev -y
wget https://www.python.org/ftp/python/3.13.1/Python-3.13.1.tar.xz
tar -xvf Python-3.13.1.tar.xz
cd Python-3.13.1
./configure --enable-optimizations
make altinstall
# make it default
update-alternatives --install /usr/bin/python3 python3 /usr/local/bin/python3.13 1
```

## system packages

```shell
apt install -y acl build-essential libpq-dev libsasl2-dev libssl-dev nginx nodejs postgresql redis-server

```

## postgresql

```shell
su - postgres
postgres@:~$ psql
postgres=# CREATE DATABASE glitchtip;
postgres=# CREATE USER glitchtip WITH ENCRYPTED PASSWORD '<PGSQL_PASSWORD>';
postgres=# GRANT ALL PRIVILEGES ON DATABASE glitchtip TO glitchtip;

```

## glitchtip

```shell
useradd -m -s /bin/bash glitchtip
mkdir /opt/glitchtip
chown glitchtip:glitchtip /opt/glitchtip
```
### frontend
```shell
cd /opt/glitchtip
git clone https://gitlab.com/glitchtip/glitchtip-frontend.git
cd /opt/glitchtip/glitchtip-frontend
git checkout tags/v4.2.5
npm install
npm run build-prod
```

### backend
```shell
cd /opt/glitchtip
git clone https://gitlab.com/glitchtip/glitchtip-backend.git
cd /opt/glitchtip/glitchtip-backend
git checkout tags/v4.2.5
python3 -m venv .venv
source .venv/bin/activate
pip install --upgrade setuptools pip wheel cython uv
uv sync
```

#### set the env variables
https://glitchtip.com/documentation/install#configuration

```shel
vim .env
```

```ini
DATABASE_HOST="127.0.0.1"
DATABASE_PORT="5432"
DATABASE_PASSWORD="<PGSQL_PASSWORD>"
DATABASE_NAME="glitchtip"
DATABASE_USER="glitchtip"
SECRET_KEY="<yourrandomlygeneratedsecretkey>"
REDIS_HOST="127.0.0.1"
EMAIL_URL="smtp://glitchtip@yourdomain.net"
DEFAULT_FROM_EMAIL="glitchtip@yourdomain.net"
GLITCHTIP_DOMAIN="http://yourdomain.net"

```


#### migrate db
```shell
export $(cat .env | xargs)
manage.py migrate
```

```
mkdir /opt/glitchtip/glitchtip-backend/{static,media}
manage.py collectstatic
```

## sources

- https://glitchtip.com/documentation/install#installing-without-docker
- https://www.mindbaz.com/technologie-email/tuto-installer-glitchtip-pour-votre-gestion-d-erreur/
- https://www.linkedin.com/pulse/glitchtip-installing-without-docker-armagan-yaman
- https://guides.lw1.at/how-to-install-glitchtip-without-docker/
- https://soufianebouchaara.com/deploying-self-hosted-glitchtip-for-error-tracking-sentry-alternative/
- 